//
//  MIKConstants.h
//  MediaInfoKit
//
//  This software is released subject to licensing conditions as detailed in LICENCE.md
//

#import <Foundation/Foundation.h>

#define MIK_EXPORT FOUNDATION_EXPORT

typedef NSString * MIKStreamKey NS_EXTENSIBLE_STRING_ENUM;
typedef NSString * MIKValueKey  NS_EXTENSIBLE_STRING_ENUM;

NS_ASSUME_NONNULL_BEGIN

// The english keys of the streams
MIK_EXPORT MIKStreamKey const MIKStreamKeyGeneral;
MIK_EXPORT MIKStreamKey const MIKStreamKeyVideo;
MIK_EXPORT MIKStreamKey const MIKStreamKeyAudio;
MIK_EXPORT MIKStreamKey const MIKStreamKeyAudio1;
MIK_EXPORT MIKStreamKey const MIKStreamKeyAudio2;

// The english keys of the values
MIK_EXPORT MIKValueKey const MIKValueKeyFormat;
MIK_EXPORT MIKValueKey const MIKValueKeyIsstreamable;
MIK_EXPORT MIKValueKey const MIKValueKeyEncodedDate;
MIK_EXPORT MIKValueKey const MIKValueKeyCompressionMode;
MIK_EXPORT MIKValueKey const MIKValueKeyHeadersize;
MIK_EXPORT MIKValueKey const MIKValueKeyHeight;
MIK_EXPORT MIKValueKey const MIKValueKeyVideoFormatWithhintList;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecInfo;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecUrl;
MIK_EXPORT MIKValueKey const MIKValueKeyContenttype;
MIK_EXPORT MIKValueKey const MIKValueKeySampledHeight;
MIK_EXPORT MIKValueKey const MIKValueKeyScanType;
MIK_EXPORT MIKValueKey const MIKValueKeyGenre;
MIK_EXPORT MIKValueKey const MIKValueKeyLanguage;
MIK_EXPORT MIKValueKey const MIKValueKeyVideoLanguageList;
MIK_EXPORT MIKValueKey const MIKValueKeyAudioLanguageList;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecCc;
MIK_EXPORT MIKValueKey const MIKValueKeyFramerateModeOriginal;
MIK_EXPORT MIKValueKey const MIKValueKeyBitRate;
MIK_EXPORT MIKValueKey const MIKValueKeyBitsPixelFrame;
MIK_EXPORT MIKValueKey const MIKValueKeyNominalBitRate;
MIK_EXPORT MIKValueKey const MIKValueKeyMovieName;
MIK_EXPORT MIKValueKey const MIKValueKeyKindOfStream;
MIK_EXPORT MIKValueKey const MIKValueKeyFileLastModificationDate;
MIK_EXPORT MIKValueKey const MIKValueKeyCopyright;
MIK_EXPORT MIKValueKey const MIKValueKeyFrameCount;
MIK_EXPORT MIKValueKey const MIKValueKeyAudioFormatWithhintList;
MIK_EXPORT MIKValueKey const MIKValueKeyOverallBitRate;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecidCompatible;
MIK_EXPORT MIKValueKey const MIKValueKeyFormatExtensionsUsuallyUsed;
MIK_EXPORT MIKValueKey const MIKValueKeyAudioCodecs;
MIK_EXPORT MIKValueKey const MIKValueKeyAudioFormatList;
MIK_EXPORT MIKValueKey const MIKValueKeyFrameRateMode;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecidVersion;
MIK_EXPORT MIKValueKey const MIKValueKeyCountOfVideoStreams;
MIK_EXPORT MIKValueKey const MIKValueKeyFolderName;
MIK_EXPORT MIKValueKey const MIKValueKeyProducer;
MIK_EXPORT MIKValueKey const MIKValueKeyChannellayout;
MIK_EXPORT MIKValueKey const MIKValueKeyComment;
MIK_EXPORT MIKValueKey const MIKValueKeyFormatInfo;
MIK_EXPORT MIKValueKey const MIKValueKeyFormatSettings;
MIK_EXPORT MIKValueKey const MIKValueKeyFormatProfile;
MIK_EXPORT MIKValueKey const MIKValueKeyDisplayAspectRatio;
MIK_EXPORT MIKValueKey const MIKValueKeyCommercialName;
MIK_EXPORT MIKValueKey const MIKValueKeyColorSpace;
MIK_EXPORT MIKValueKey const MIKValueKeyKeyword;
MIK_EXPORT MIKValueKey const MIKValueKeyDefault;
MIK_EXPORT MIKValueKey const MIKValueKeyStreamIdentifier;
MIK_EXPORT MIKValueKey const MIKValueKeyActor;
MIK_EXPORT MIKValueKey const MIKValueKeyProductionStudio;
MIK_EXPORT MIKValueKey const MIKValueKeyCountOfStreamOfThisKind;
MIK_EXPORT MIKValueKey const MIKValueKeySamplesPerFrame;
MIK_EXPORT MIKValueKey const MIKValueKeyStoredHeight;
MIK_EXPORT MIKValueKey const MIKValueKeyTitle;
MIK_EXPORT MIKValueKey const MIKValueKeyScreenplayBy;
MIK_EXPORT MIKValueKey const MIKValueKeyDirector;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecFamily;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecExtensionsUsuallyUsed;
MIK_EXPORT MIKValueKey const MIKValueKeyVideo;
MIK_EXPORT MIKValueKey const MIKValueKeyWritingApplication;
MIK_EXPORT MIKValueKey const MIKValueKeyStreamSize;
MIK_EXPORT MIKValueKey const MIKValueKeyTaggedDate;
MIK_EXPORT MIKValueKey const MIKValueKeyDescription;
MIK_EXPORT MIKValueKey const MIKValueKeyFootersize;
MIK_EXPORT MIKValueKey const MIKValueKeyBitRateMode;
MIK_EXPORT MIKValueKey const MIKValueKeyEncodedLibraryVersion;
MIK_EXPORT MIKValueKey const MIKValueKeyChromaSubsampling;
MIK_EXPORT MIKValueKey const MIKValueKeyEncodingSettings;
MIK_EXPORT MIKValueKey const MIKValueKeyGeneral;
MIK_EXPORT MIKValueKey const MIKValueKeyDuration;
MIK_EXPORT MIKValueKey const MIKValueKeyFormatUrl;
MIK_EXPORT MIKValueKey const MIKValueKeyPixelAspectRatio;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecIdUrl;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecSettings;
MIK_EXPORT MIKValueKey const MIKValueKeyAudio;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecsVideo;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecIdInfo;
MIK_EXPORT MIKValueKey const MIKValueKeyInterlacement;
MIK_EXPORT MIKValueKey const MIKValueKeyDatasize;
MIK_EXPORT MIKValueKey const MIKValueKeyOverallBitRateMode;
MIK_EXPORT MIKValueKey const MIKValueKeyWidth;
MIK_EXPORT MIKValueKey const MIKValueKeyCodec;
MIK_EXPORT MIKValueKey const MIKValueKeyWritingLibrary;
MIK_EXPORT MIKValueKey const MIKValueKeySamplingRate;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecId;
MIK_EXPORT MIKValueKey const MIKValueKeySamplesCount;
MIK_EXPORT MIKValueKey const MIKValueKeyChannelS;
MIK_EXPORT MIKValueKey const MIKValueKeyInternetMediaType;
MIK_EXPORT MIKValueKey const MIKValueKeySampledWidth;
MIK_EXPORT MIKValueKey const MIKValueKeyFileExtension;
MIK_EXPORT MIKValueKey const MIKValueKeyStreamorder;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecProfile;
MIK_EXPORT MIKValueKey const MIKValueKeyMaximumBitRate;
MIK_EXPORT MIKValueKey const MIKValueKeyFrameRate;
MIK_EXPORT MIKValueKey const MIKValueKeyCount;
MIK_EXPORT MIKValueKey const MIKValueKeyFileName;
MIK_EXPORT MIKValueKey const MIKValueKeyChannelPositions;
MIK_EXPORT MIKValueKey const MIKValueKeyEncodedLibraryName;
MIK_EXPORT MIKValueKey const MIKValueKeyProportionOfThisStream;
MIK_EXPORT MIKValueKey const MIKValueKeyResolution;
MIK_EXPORT MIKValueKey const MIKValueKeyAlternateGroup;
MIK_EXPORT MIKValueKey const MIKValueKeyFileSize;
MIK_EXPORT MIKValueKey const MIKValueKeyColorimetry;
MIK_EXPORT MIKValueKey const MIKValueKeyCompleteName;
MIK_EXPORT MIKValueKey const MIKValueKeyRotation;
MIK_EXPORT MIKValueKey const MIKValueKeyCodecSettingsRefframes;
MIK_EXPORT MIKValueKey const MIKValueKeyVideoFormatList;
MIK_EXPORT MIKValueKey const MIKValueKeyFileLastModificationDateLocal;
MIK_EXPORT MIKValueKey const MIKValueKeyId;
MIK_EXPORT MIKValueKey const MIKValueKeyCountOfAudioStreams;
MIK_EXPORT MIKValueKey const MIKValueKeyBitDepth;

NS_ASSUME_NONNULL_END
