//
//  MIKFormat.h
//  MediaInfoKit
//
//  This software is released subject to licensing conditions as detailed in LICENCE.md
//

#import <Cocoa/Cocoa.h>

/**
 *  The different text formats available.
 */
typedef NS_ENUM(NSUInteger, MIKFormat) {
    /**
     *  Informations as a plain text.
     */
    MIKFormatTXT,
    /**
     *  Informations as a rich text.
     */
    MIKFormatRTF,
    /**
     *  Informations in a XML format.
     */
    MIKFormatXML,
    /**
     *  Informations in a JSON format.
     */
    MIKFormatJSON,
    /**
     *  Informations in a PLIST format.
     */
    MIKFormatPLIST,
    /**
     *  Informations in a CSV format.
     */
    MIKFormatCSV
};

extern NSString * _Nonnull MIKFormatGetPathExtension(MIKFormat format)
    CF_SWIFT_NAME(MIKFormat.pathExtension(self:));
